:root {
  --header-height: 4vh;
  --footer-height: 10vh;
  --shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.8);
  --radius: 0.5rem;
}

@font-face {
  font-family: "Agave";
  src: url("/font/AgaveNerdFontPro.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}

body {
  color: var(--text);
  margin: 0;
  font-family: "Agave", monospace, sans-serif;
}

header {
  background-color: var(--bg2);
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  padding-left: 1rem;
  font-size: 1.5rem;
  position: sticky;
  top: 0;
  box-shadow: var(--shadow);
  z-index: 1;
}

header img {
  max-height: 4vh;
  height: auto;
  max-width: 100%;
  width: auto;
  margin-right: 1rem;
  display: block;
}

header nav {
  margin-left: auto;
  margin-right: 1rem;
  gap: 1rem;
  font-size: 1rem;
  display: flex;
  color: var(--accent);
}

footer {
  height: var(--footer-height);
  background-color: var(--bg2);
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
}

footer div {
  width: 100%;
  text-align: center;
}

a {
  color: var(--accent);
  text-decoration: none;
}

h1,
h2,
h3 {
  color: var(--text);
}

h2,
h3 {
  margin-top: 3rem;
}

h1:before,
h2:before,
h3:before {
  content: "λ";
  margin-right: 0.25rem;
  opacity: 0.5;
}

pre {
  background-color: var(--bg2);
  padding: 1rem;
  border-radius: var(--radius);
  overflow-x: auto;
  box-shadow: var(--shadow);
}

#base-layer {
  background: linear-gradient(10deg, var(--bg), var(--bg2));
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -100;
}

#page-content {
  padding: 3rem;
  min-height: calc(100vh - var(--header-height) - var(--footer-height) - 6rem);
  max-width: 1000px;
  margin: 0 auto;
}

#page-content img {
  max-width: 100%;
  height: auto;
  border-radius: var(--radius);
  box-shadow: var(--shadow);
}

@media (max-width: 1000px) {
  #page-content {
    padding: 1rem;
    max-width: 100%;
  }
}
